
QGIS Application - Bug report #8311

Layer display choice should default to "Field", not "HTML"

2013-07-16 03:45 PM - Nyall Dawson

Status: Closed

Priority: Normal

Assignee:

Category: Vectors

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 17104

Description

Currently the "Display" choice for vector layers defaults to "HTML" (which is by default blank). This causes issues when using the identify

tool on multiple objects, since the tree parent for each identified feature is blank (see attached screenshot).

I'd suggest defaulting to the "Field" choice for "Display", since this gives a value for the parent for each feature (see second screenshot).

Associated revisions

Revision 43caf02d - 2013-08-13 03:12 AM - Nyall Dawson

Make sure updateFields() is called before setDisplayField for new vector layers (fix #8311)

Revision 88d3adea - 2013-09-03 03:02 PM - Nathan Woodrow

Merge pull request #804 from nyalldawson/bug_8311

Fix some bugs relating to display fields for new vector layers (fixes #8311)

History

#1 - 2013-09-03 06:02 AM - Nathan Woodrow

- Status changed from Open to Closed

Fixed in changeset commit:"88d3adeafa7d088a3a9dafe898d4feac6aeaf652".
